@php
    /**
    * @var Illuminate\Support\ViewErrorBag $errors
    */
@endphp
@if(isset($key))
    <div class="form-group row">
        <label for="{{str_replace('.', '_', $key)}}"
               class="col-sm-2 col-form-label">{{isset($placeholder)?$placeholder:null}}</label>
        <te class="col-sm-10">
            <textarea type="{!! isset($type) ? $type : 'text' !!}"
                      class="form-control{!! $errors->has($key) ? ' is-invalid' : null !!}"
                      id="{{str_replace('.', '_', $key)}}" name="{{ inputKeyToName($key) }}"
                      @if(isset($attributes))
                      @forelse($attributes as $attr_key => $attr_val)
                      {!!  is_int($attr_key) ? $attr_val . " " : sprintf(' %s="%s"', $attr_key, $attr_val) !!}
                      @empty
                      @endforelse
                      @endif
                      @if(isset($placeholder)) placeholder="{{$placeholder}}" @endif >{!! $value !!}</textarea>
            @if($errors->has($key))
                <div class="invalid-feedback">{!! $errors->first($key) !!}</div>
        @endif
    </div>
@endif
